<?php
class CustomActions implements themecheck {
	protected $error = array();

	function check( $php_files, $css_files, $other_files) {

		$php = implode( ' ', $php_files );
		$grep = '';
		$ret = true;

		$checks = array(
			'do_action\(\s?("|\')sample_action1("|\')\s?\)' => __( 'See: &lt;?php do_action("sample_action1"); ?&gt;</pre>', 'themecheck' ),
			'do_action\(\s?("|\')sample_action2("|\')\s?\)' => __( 'See: &lt;?php do_action("sample_action2"); ?&gt;</pre>', 'themecheck' )

			);

		foreach ($checks as $key => $check) {
			checkcount();
			if ( !preg_match( '/' . $key . '/i', $php ) ) {
				if ( $key === 'do_action\(\s?("|\')sample_action1("|\')\s?\)' ){
					$key = __( 'do_action( \'sample_action1\' )', 'themechek');
				}
                                if ( $key === 'do_action\(\s?("|\')sample_action2("|\')\s?\)' ){
					$key = __( 'do_action( \'sample_action2\' )', 'themechek');
				}

				$key = ltrim( trim ( trim( $key, '(' ), '\\' ) );
				$this->error[] = sprintf( __( '<span class="tc-lead tc-required">REQUIRED</span>: Could not find <strong>%1$s</strong>. %2$s', 'themecheck' ), $key, $check );
				$ret = false;
			}
		}

		return $ret;
	}

	function getError() { return $this->error; }
}

$themechecks[] = new CustomActions;