<?php
/*
  Plugin Name: Custom Theme Check
  Plugin URI: http://wp.tutsplus.com
  Description: Extending Theme Check with Custom Checks .
  Author: Rakhitha Nimesh
  Version: 1.6
  Author URI: http://www.innovativephp.com/
 */
function custom_themecheck_checks_loaded() {
    global $themechecks;

    $checks_to_disable = array("Deprecated", "Screenshot_Checks");

    foreach ($themechecks as $keyindex => $check) {
        if ($check instanceof themecheck) {
            $check_class = get_class($check);
            if (in_array($check_class, $checks_to_disable)) {
                unset($themechecks[$keyindex]);
            }
        }
    }
}

add_action('themecheck_checks_loaded', 'custom_themecheck_checks_loaded');

function custom_new_themecheck_loadeder() {
    global $themechecks;
    include_once 'custom_actions.php';
}

add_action('themecheck_checks_loaded', 'custom_new_themecheck_loadeder');



?>
